<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use \App\Helpers\PageSL;
use App\Models\University;
use App\Models\MarketCountry;
use Auth;

class SubContentController extends Controller
{
    public function get(Request $req, $name){

		$user=Auth::guard('admin')->user();
		$carbon=new \Carbon\Carbon;

		$data=[
			'user'=>$user,
			'carbon'=>$carbon,
			'name'=>$name
		];

		if($name=="load_market_countries"){
			$data['market_countries'] = MarketCountry::where( 
                'status', 1
            )->select(
                'market_countries.*', \DB::raw('(SELECT name FROM countries WHERE market_countries.country_id = countries.id ) as sort')
            )->orderBy('sort')->get();
			
		}elseif($name=='country_wise_university'){ 

			$data['universities'] =University::orderBy('name','ASC')->get(); 
		 
		}else $name='default'; 
		//$data['page_sl']=new PageSL($data['chapter_details']); 
		return view("admin.sub_contents.{$name}", $data);

	}
}
