<?php

namespace App\Http\Controllers\Teacher;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use \App\Helpers\PageSL; 
use App\StudentProposal;
use Auth;

class SubContentController extends Controller
{
    public function get(Request $req, $name){

		$user=Auth::guard('teacher')->user();
		$carbon=new \Carbon\Carbon;

		$data=[
			'user'=>$user,
			'carbon'=>$carbon,
			'name'=>$name
		];

		if($name=="load_profile_info"){
			$data['students'] = StudentProposal::where('teacher_id',$user->id)->get(); 
			
		}else $name='default'; 
		//$data['page_sl']=new PageSL($data['chapter_details']); 
		return view("teacher.sub_contents.{$name}", $data);

	}
}
